Bug 535211 - (RHQ-1931) virt plugin hangs forever in discovery component
virt plugin hangs forever in discovery component
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
All All
high Severity medium (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
: SubBug
Depends On:
Blocks: rhq_triage
  Show dependency treegraph
Reported: 2009-04-05 03:00 EDT by John Mazzitelli
Modified: 2014-09-01 08:02 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2014-05-05 14:28:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description John Mazzitelli 2009-04-05 03:00:00 EDT
the virt plugin hangs indefinitely in its discovery component. It doesn't do this all the time, but in my current situation, it hangs all the time.

See RHQ-1930 for the stack to see where it hangs.
Comment 1 John Mazzitelli 2009-04-05 03:05:05 EDT
Daemon Thread [InventoryManager.discovery-1] (Suspended)
com.sun.jna.Function.invokePointer(int, java.lang.Object[]) line: not available [native method]
com.sun.jna.Function.invoke(java.lang.Object[], java.lang.Class) line: 310
com.sun.jna.Function.invoke(java.lang.Class, java.lang.Object[], java.util.Map) line: 220
com.sun.jna.Library$Handler.invoke(java.lang.Object, java.lang.reflect.Method, java.lang.Object[]) line: 204
$Proxy36.virConnectOpen(java.lang.String) line: not available
org.rhq.plugins.virt.LibVirtConnection.<init>() line: 43
org.rhq.plugins.virt.VirtualizationDiscoveryComponent.discoverResources(org.rhq.core.pluginapi.inventory.ResourceDiscoveryContext) line: 50
Comment 2 John Mazzitelli 2009-04-05 03:07:45 EDT
I have no idea if this is related but:


0.6.1: Mar 3 2009

Bug fixes: NULL dereference in LXC (Jim Meyering), fix domain error reporting (John Levon), fix loop of libvirtd --timeout (Daniel Berrange), limit history to 500 to restrict virsh memory (Daniel Berrange), wrong lvm volume format check (Cole Robinson), I/O error in daemon and associated remote acces crash (Daniel Berrange), fix autostart of session daemon (Daniel Berrange), restart guest on qemu migration failures (Chris Lalancette), config parsing leaks (Ryota Ozaki), DBus multithreading activation to avoid crashes (Daniel Berrange), mark defined network descriptions as persistent (Cole Robinson), qemu+tls handshake negotiation hang (Chris Lalancette)

Notice "qemu+tls handshake negotiation hang".

Comment 3 Red Hat Bugzilla 2009-11-10 15:49:44 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-1931
This bug relates to RHQ-1930
This bug is incorporated by RHQ-1937
Comment 4 wes hayutin 2010-02-16 11:54:32 EST
Temporarily adding the keyword "SubBug" so we can be sure we have accounted for all the bugs.

new = Tracking + FutureFeature + SubBug
Comment 5 wes hayutin 2010-02-16 12:00:00 EST
making sure we're not missing any bugs in rhq_triage
Comment 6 Corey Welton 2010-08-30 13:30:13 EDT
lukas - thoughts? has this gone away, or what would it take to fix?

Note You need to log in before you can comment on or make changes to this bug.